Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.execution
Class ContainerPolicyManager

    java.lang.Object
      lbg.resource.execution.ContainerPolicyManager

    public class ContainerPolicyManager

extends java.lang.Object

A ContainerPolicyManager specifies the security policy of a LiveTaskExecutionServer.

It grants permissions that define precisely the limits of sandboxing. Notably: network communication and access to a playpen (a playpen is a temporary disk storage space used by a GridApplication).

Author:
  Cyril Briquet

Nested Class Summary
`static class` | `ContainerPolicyManager.FilePermissionLevel`

Field Summary
`java.lang.String` | `cache_dir`
`java.lang.String` | `container_policy_path`
`static java.lang.String` | `GRIDAPP_POLICY_FILE`
`static java.lang.String` | `PLAYPEN_BASE_PREFIX`
`java.lang.String` | `playpen_dir`

Constructor Summary
`ContainerPolicyManager(java.lang.String cache_dir)`

Method Summary
`static java.lang.String` | `getPlaypenDir(java.lang.String cache_dir)`
`java.lang.String` | `getPolicy(java.lang.String... target_dirs)`
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `toString()`
`void` | `writePolicy(java.lang.String... target_dirs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cache_dir

    public final java.lang.String cache_dir

### playpen_dir

    public final java.lang.String playpen_dir

### container_policy_path

    public final java.lang.String container_policy_path

### GRIDAPP_POLICY_FILE

    public static final java.lang.String GRIDAPP_POLICY_FILE

See Also:
  Constant Field Values

### PLAYPEN_BASE_PREFIX

    public static final java.lang.String PLAYPEN_BASE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ContainerPolicyManager

    public ContainerPolicyManager(java.lang.String cache_dir)
                           throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPolicy

    public java.lang.String getPolicy(java.lang.String... target_dirs)
                               throws GridException

  Throws:
    `GridException`

### writePolicy

    public void writePolicy(java.lang.String... target_dirs)
                     throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] args)

### getPlaypenDir

    public static java.lang.String getPlaypenDir(java.lang.String cache_dir)
                                          throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.